#ifndef __EINK_H__
#define __EINK_H__


#include <ft2build.h>
#include FT_FREETYPE_H 
#include FT_CACHE_H
#include FT_TRUETYPE_TAGS_H
#include FT_TRUETYPE_TABLES_H
#include FT_BITMAP_H
#include <gif_lib.h>

#include "terminal.h"

#define minimum( a, b )	( (a) < (b) ? (a) : (b) )
#define maximum( a, b )	( (a) > (b) ? (a) : (b) )

FT_Error face_requester( FTC_FaceID face_id, FT_Library library, FT_Pointer request_data, FT_Face* aface );
void eink_clear_lines( char *graphic_buf, int y, int height, attr_t attr );
void eink_clear_chars( char *graphic_buf, int x, int y, int width, attr_t attr );
void *updater_therad( void *data );
void eink_flush( int type, int option );
void eink_cursor( char *graphic_buf, int x, int y, char bar, attr_t attr );
void eink_putc( char *graphic_buf, int x, int y, unsigned long key, attr_t attr );
void eink_putc2( char *graphic_buf, int x, int y, int w, int h, int lh, unsigned long key, attr_t attr );
int eink_init( char *graphic_buf, char *fontname, int width, int height, int lineheight, int hoffset );
void eink_font_mono( int mono );
int eink_reinit( char *graphic_buf, int width, int height, int lineheight, int hoffset );
void eink_ignore_flush( int ignore );
void eink_gifprint( char *graphic_buf, GifFileType *gif, int x, int y, int num );

#endif